Subject: [bug#37305] [PATCH v3] Allow booting from a Btrfs subvolume

From: Ludovic Courtès <[email-masked]>
Date: Thu, 28 May 2020 14:30:14 +0200

Hello!

Maxim Cournoyer <[email-masked]> skribis:

> From ee23cc391cce7b8dcdcb5146d4b84a55881a5cb9 Mon Sep 17 00:00:00 2001
> From: Maxim Cournoyer <[email-masked]>
> Date: Wed, 27 May 2020 22:44:28 -0400
> Subject: [PATCH] bootloader: grub: Rename the btrfs-subvolume-file-name
>  parameter.
>
> Following discussion in <https://issues.guix.gnu.org/37305>, it seems more
> appropriate to give the parameter a more generic name that better describes
> what it does.
>
> * gnu/bootloader/grub.scm (normalize-file): Rename the
> btrfs-subvolume-file-name parameter to store-directory-prefix.
> (eye-candy): Likewise.
> (grub-configuration-file): Likewise.
> * gnu/system.scm (operating-system-bootcfg): Adapt.

[...]

>  (define* (eye-candy config store-device store-mount-point
> -                    #:key btrfs-store-subvolume-file-name system port)
> +                    #:key store-directory-prefix system port)
>    "Return a gexp that writes to PORT (a port-valued gexp) the 'grub.cfg' part
>  concerned with graphics mode, background images, colors, and all that.
>  STORE-DEVICE designates the device holding the store, and STORE-MOUNT-POINT is
>  its mount point; these are used to determine where the background image and
>  fonts must be searched for.  SYSTEM must be the target system string---e.g.,
> -\"x86_64-linux\".  BTRFS-STORE-SUBVOLUME-FILE-NAME is the file name of the
> -Btrfs subvolume, to be prepended to any store path, if any."
> +\"x86_64-linux\".  STORE-DIRECTORY-PREFIX is a directory prefix to prepend to
> +any store path."

s/path/file name/  :-)

Maybe you can have ‘store-directory-prefix’ default to "" and adjust
users accordingly.

Otherwise LGTM.

Thanks for taking the time to work on this patch!

Ludo’.